GridUI

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.client
Class GridUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TableUI
              javax.swing.plaf.basic.BasicTableUI
                  org.openswing.swing.table.client.GridUI

public class GridUI
extends javax.swing.plaf.basic.BasicTableUI

Title: OpenSwing Framework

Description: Grid UI, redefined to allow cells span.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicTableUI
`javax.swing.plaf.basic.BasicTableUI.FocusHandler, javax.swing.plaf.basic.BasicTableUI.KeyHandler, javax.swing.plaf.basic.BasicTableUI.MouseInputHandler`

Constructor Summary
`GridUI()`

Method Summary
`void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)` Paint a representation of the `table` instance that was set in installUI().

Methods inherited from class javax.swing.plaf.basic.BasicTableUI
`createUI, getMaximumSize, getMinimumSize, getPreferredSize, installUI, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridUI

    public GridUI()

Method Detail

### paint

    public void paint(java.awt.Graphics g,
                      javax.swing.JComponent c)

  Paint a representation of the `table` instance that was set in installUI().

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD